Lovense Integration: FLovenseAdapterDescription Struct Reference

Lovense Integration

Public Member Functions | Public Attributes | List of all members
FLovenseAdapterDescription Struct Reference

Container holding (mostly) raw HTTP request json data for a Lovense App instance in the local network. More...

`#include <LovenseIntegration/Source/LovenseIntegration/Public/LovenseTypes.h>`

## Public Member Functions

FString | ToString () const

## Public Attributes

FString | deviceCode
| The identifier for the adapter. For offline adapters the id wil be in this format: "[Api]_Offline[Platform]" e.g. "Remote_OfflineMobile" or "Connect_OfflineDesktop".
int32 | online

This value indicates whether the app is connected to the channel used by the Lovense server for forwarding instructions.
(Whether the toys can be controlled through the service API)
1 = Connected, 0 = Disconnected.
No connection will be attempted if 0.

FString | domain
| The domain used to communicate with the adapter. Adapter descriptions returned from the lovense servers have a domain string in this format: "X-X-X-X.lovense.club". Offline adapters have a direct IP as the domain.
int32 | httpsPort
| The https port. Currently unused. For the Lovense pc apps, this will always be 30010. For the Lovense Connect mobile apps, this will always be 34568. For the Lovense Remote mobile apps, this will be a dynamic port.
int32 | wssPort

The wss port. Currently unused.
For the Lovense pc apps, this will always be 30110.
For the Lovense Connect mobile apps, this will always be 30010.
For the Lovense Remote mobile apps, this will be a dynamic port.
Will be 0 for offline adapters.

FString | platform
| The device platform of the adapter, e.g. "android" or "pc". Used in the adapter factory LovenseAdapter::CreateLovenseAdapter() and UI.
FString | appVersion
| The version of the Lovense app.
FString | appType
| The api of the adapter, e.g. "remote" or "connect". Used in the adapter factory LovenseAdapter::CreateLovenseAdapter() and UI.
TArray< FLovenseToyDescription > | toys

Parsed toy descriptions from ILovenseAdapter::TryGetAdapterData() response.
You usually want to use the toy descriptions in FLovenseGetToysResponseData stored in the respective adapters, as that has more complete toy data.
Will contain a dummy toy for offline adapters.

## Detailed Description

Container holding (mostly) raw HTTP request json data for a Lovense App instance in the local network.

The documentation for this struct was generated from the following file:

- LovenseIntegration/Source/LovenseIntegration/Public/LovenseTypes.h